# -*- encoding: utf-8 -*-
# stub: table_print 1.5.6 ruby lib

Gem::Specification.new do |s|
  s.name = "table_print"
  s.version = "1.5.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Chris Doyle"]
  s.date = "2016-03-27"
  s.description = "TablePrint turns objects into nicely formatted columns for easy reading. Works great in rails console, works on pure ruby objects, autodetects columns, lets you traverse ActiveRecord associations. Simple, powerful."
  s.email = "chris@arches.io"
  s.files = ["Gemfile", "LICENSE.txt", "README.rdoc", "Rakefile", "features/adding_columns.feature", "features/configuring_output.feature", "features/excluding_columns.feature", "features/multibyte.feature", "features/printing_hash.feature", "features/printing_struct.feature", "features/sensible_defaults.feature", "features/support/step_definitions/before.rb", "features/support/step_definitions/steps.rb", "lib/table_print.rb", "lib/table_print/column.rb", "lib/table_print/config.rb", "lib/table_print/config_resolver.rb", "lib/table_print/fingerprinter.rb", "lib/table_print/formatter.rb", "lib/table_print/hash_extensions.rb", "lib/table_print/printable.rb", "lib/table_print/returnable.rb", "lib/table_print/row_group.rb", "lib/table_print/version.rb", "spec/column_spec.rb", "spec/config_resolver_spec.rb", "spec/config_spec.rb", "spec/fingerprinter_spec.rb", "spec/formatter_spec.rb", "spec/hash_extensions_spec.rb", "spec/printable_spec.rb", "spec/returnable_spec.rb", "spec/row_group_spec.rb", "spec/spec_helper.rb", "spec/table_print_spec.rb", "table_print.gemspec"]
  s.homepage = "http://tableprintgem.com"
  s.licenses = ["MIT"]
  s.rubygems_version = "2.5.1"
  s.summary = "Turn objects into nicely formatted columns for easy reading"
  s.test_files = ["features/adding_columns.feature", "features/configuring_output.feature", "features/excluding_columns.feature", "features/multibyte.feature", "features/printing_hash.feature", "features/printing_struct.feature", "features/sensible_defaults.feature", "features/support/step_definitions/before.rb", "features/support/step_definitions/steps.rb", "spec/column_spec.rb", "spec/config_resolver_spec.rb", "spec/config_spec.rb", "spec/fingerprinter_spec.rb", "spec/formatter_spec.rb", "spec/hash_extensions_spec.rb", "spec/printable_spec.rb", "spec/returnable_spec.rb", "spec/row_group_spec.rb", "spec/spec_helper.rb", "spec/table_print_spec.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<cat>, ["~> 0.2.1"])
      s.add_development_dependency(%q<cucumber>, ["~> 1.2.1"])
      s.add_development_dependency(%q<rspec>, ["~> 2.11.0"])
      s.add_development_dependency(%q<rake>, ["~> 0.9.2"])
    else
      s.add_dependency(%q<cat>, ["~> 0.2.1"])
      s.add_dependency(%q<cucumber>, ["~> 1.2.1"])
      s.add_dependency(%q<rspec>, ["~> 2.11.0"])
      s.add_dependency(%q<rake>, ["~> 0.9.2"])
    end
  else
    s.add_dependency(%q<cat>, ["~> 0.2.1"])
    s.add_dependency(%q<cucumber>, ["~> 1.2.1"])
    s.add_dependency(%q<rspec>, ["~> 2.11.0"])
    s.add_dependency(%q<rake>, ["~> 0.9.2"])
  end
end
